| Cantera 3.0.0

Loading...
Searching...
No Matches
Modules | Classes | Functions
One-Dimensional Reacting Flows
Collaboration diagram for One-Dimensional Reacting Flows:

## Detailed Description

These classes comprise Cantera's ability to solve steady-state one-dimensional reacting flow problems, such as laminar flames, opposed flow diffusion flames, and stagnation flow chemical vapor deposition.

## Modules
| Boundaries
| Boundaries of one-dimensional flow domains.
| Utilities
| Utility classes and functions for one-dimensional problems.
| Flow Domains
| One-dimensional flow domains.

## Classes
class | OneDim
| Container class for multiple-domain 1D problems. More...
class | Sim1D
| One-dimensional simulations. More...

## Functions
template<class T = Domain1D>
shared_ptr< T > | newDomain (const string &domainType, shared_ptr< Solution > solution, const string &id="")
| Create a Domain object of the specified type.

## Function Documentation

## ◆ newDomain()

template<class T = Domain1D>

shared_ptr< T > newDomain | ( | const string & | domainType,
|  | shared_ptr< Solution > | solution,
|  | const string & | id = `""`
| ) |  |

Create a Domain object of the specified type.

An optional template argument will dynamically cast Domain1D to the desired specialization.

Parameters

  domainType | string identifying domain type.
  solution | Solution holding ThermoPhase, Kinetics and Transport objects.
  id | string identifier describing domain. If omitted, id defaults to the domain type identifier.

Definition at line 53 of file DomainFactory.h.